unit wharfdata; // version: 1999/05/13
//
//     _   _   _         _ _                    __  ____    _____     __  ____
//    //_ //_ //_ __    ////_ _ _ _ _ _ _ _ _  /__\/ __/\  / / _ \   /__\/ __/
//   /_ // _// _//_ \o ////////////////////// //_// __/\ \/ /||_||  //_// __/
//  //// \_/ \_// __/o/////____//____//____/o/___/\__/  \__/ \___/o/___/___/
//             /_/
//
// ----------------------------------------------------------------------------
// wharfdata.h headerconvert from litestep source 1999/05/13:
// the unit wharfdata provides an interface for litestep programmers to wharf-
// data of litestep.
// ----------------------------------------------------------------------------
//
// history:
// 1999/05/13 - murphy@dev0.de
// - first start of conversion.
//

interface

uses
  Windows;

type
  windowTypePtr = ^windowType;
  windowType = Record
    Handle : HWND;
    Visible : BOOL;
    Position : TRECT;
  End;

type
  wharfDataTypePtr = ^wharfDataType;
  wharfDataType = Record
    borderSize : LongInt;
    pos : LongInt;
    winListSize : LongInt;
    winList : windowTypePtr;
    trayIconSize : LongInt;
    lm78Unit : LongInt;
    lm78MaxCPU : LongInt;
    lm78MaxMb : LongInt;
    lm78CPU : LongInt;
    taskBar : LongInt;
    msTaskBar : LongInt;
    taskBarFore : LongInt;
    taskBarBack : LongInt;
    taskbarText : LongInt;
    vwmVelocity : LongInt;
    autoHideWharf : LongInt;
    autoHideTaskBar : LongInt;
    vwmDistance : LongInt;
    autoHideDelay : LongInt;
    showBeta : LongInt;
    usClock : LongInt;
    VWMNoGathering : LongInt;
    VWMNoAuto : LongInt;
    xmouseDelay : LongInt;
    xmouseBringToTop : LongInt;
    pixmapDir : PChar;
    defaultBmp : PChar;
    vwmBackColor : LongInt;
    vwmSelBackColor : LongInt;
    vwmForeColor : LongInt;
    vwmBorderColor : LongInt;
    backsaver : PChar;
    taskBarFore2 : LongInt;
    stripBar : LongInt;
    lsPath : PChar;
  End;

const
  magicDWord = $49474541;

implementation

end.
